void printi(int val);

int function2(int val)
{
  printi(val);
  return val;
}

int function(int val)
{
  printi(val);
  return function2(val);
}

int main()
{
  int val;

  val = function(10);
  printi(val);

  return 0;
}
